Debian Bug report logs - #439993
RFP: libapache2-mod-pubcookie -- apache2 module supporting Pubcookie authentication

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Peter Woodman <peter@shortbus.org>

Date: Wed, 29 Aug 2007 01:24:01 UTC

Severity: wishlist

Done: Adrian Bunk <bunk@stusta.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, peter woodman <peter@shortbus.org>:
Bug#439993; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Peter Woodman <peter@shortbus.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, peter woodman <peter@shortbus.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Woodman <peter@shortbus.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libapache2-mod-pubcookie -- apache2 module supporting Pubcookie authentication
Date: Tue, 28 Aug 2007 18:16:00 -0700
Package: wnpp
Severity: wishlist
Owner: Peter Woodman <peter@shortbus.org>


* Package name    : libapache2-mod-pubcookie
  Version         : 3.3.2d
  Upstream Author : Pubcookie Developers <pubcookie-dev@u.washington.edu>
* URL             : http://www.pubcookie.org/
* License         : Apache 2.0
  Programming Lang: C
  Description     : Apache2 module supporting Pubcookie authentication

(Include the long description here.)

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, peter woodman <peter@shortbus.org>:
Bug#439993; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Faidon Liambotis <paravoid@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, peter woodman <peter@shortbus.org>. Full text and rfc822 format available.

Message #10 received at 439993@bugs.debian.org (full text, mbox):

From: Faidon Liambotis <paravoid@debian.org>
To: Peter Woodman <peter@shortbus.org>
Cc: 439993@bugs.debian.org
Subject: Re: ITP: libapache2-mod-pubcookie -- apache2 module supporting Pubcookie
Date: Mon, 07 Apr 2008 11:00:28 +0300
Hi,
What are you plans about this ITP? It's been open for some time now.

I've done some preliminary work on packaging upstream and will probably 
finish it really soon, since I need to deploy it for a work-related project.

If you have prepared something, contact me to arrange comaintainance 
and/or sponsorship.
If you haven't, I'll handle the whole thing, if you agree.

Thanks,
Faidon




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, peter woodman <peter@shortbus.org>:
Bug#439993; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Peter Woodman" <peter@shortbus.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, peter woodman <peter@shortbus.org>. Full text and rfc822 format available.

Message #15 received at 439993@bugs.debian.org (full text, mbox):

From: "Peter Woodman" <peter@shortbus.org>
To: "Faidon Liambotis" <paravoid@debian.org>, 439993@bugs.debian.org
Subject: Re: Bug#439993: ITP: libapache2-mod-pubcookie -- apache2 module supporting Pubcookie
Date: Mon, 7 Apr 2008 10:59:02 -0700
Hi-
 Yeah, I submitted that quite some time ago and then the idea got
buried. I've just recently completed repackaging of this and just
deployed it to some machines last friday.. I've switched to using
git-buildpackage, and can stick it online by day's end, but seeing
that you're a debian developer, you'll probably have a much easier
time getting it included..

I'd be willing to comaintain if that'd be helpful, but if not, feel
free to do as you like :)

On Mon, Apr 7, 2008 at 1:00 AM, Faidon Liambotis <paravoid@debian.org> wrote:
> Hi,
>  What are you plans about this ITP? It's been open for some time now.
>
>  I've done some preliminary work on packaging upstream and will probably
> finish it really soon, since I need to deploy it for a work-related project.
>
>  If you have prepared something, contact me to arrange comaintainance and/or
> sponsorship.
>  If you haven't, I'll handle the whole thing, if you agree.
>
>  Thanks,
>  Faidon
>
>
>




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, peter woodman <peter@shortbus.org>:
Bug#439993; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Faidon Liambotis <paravoid@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, peter woodman <peter@shortbus.org>. Full text and rfc822 format available.

Message #20 received at 439993@bugs.debian.org (full text, mbox):

From: Faidon Liambotis <paravoid@debian.org>
To: Peter Woodman <peter@shortbus.org>
Cc: 439993@bugs.debian.org
Subject: Re: Bug#439993: ITP: libapache2-mod-pubcookie -- apache2 module supporting Pubcookie
Date: Mon, 07 Apr 2008 23:09:33 +0300
Peter Woodman wrote:
>  Yeah, I submitted that quite some time ago and then the idea got
> buried. I've just recently completed repackaging of this and just
> deployed it to some machines last friday.. I've switched to using
> git-buildpackage, and can stick it online by day's end, but seeing
> that you're a debian developer, you'll probably have a much easier
> time getting it included..
Being a DD will make it easier for me to upload the package.
*Which* package will that be is a completely different story.

I'd be happy either base my work on top of yours, or (even better) 
review your work and upload it, letting you handle the maintainership of 
the package.

So, by all means, please "stick it online" :)

Regards,
Faidon




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, peter woodman <peter@shortbus.org>:
Bug#439993; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Peter Woodman" <peter@shortbus.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, peter woodman <peter@shortbus.org>. Full text and rfc822 format available.

Message #25 received at 439993@bugs.debian.org (full text, mbox):

From: "Peter Woodman" <peter@shortbus.org>
To: 439993@bugs.debian.org
Subject: preliminary version available
Date: Tue, 8 Apr 2008 12:34:21 -0700
For any interested, a preliminary version is available at
git://shortbus.org/mod-pubcookie. Presently this package just provides
the apache module; Faidon and I are going to work to convert this to a
multiple-binary setup providing all the separate pieces of pubcookie,
including the server bits.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, peter woodman <peter@shortbus.org>:
Bug#439993; Package wnpp. (Mon, 24 May 2010 19:10:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, peter woodman <peter@shortbus.org>. (Mon, 24 May 2010 19:10:48 GMT) Full text and rfc822 format available.

Message #30 received at 439993@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 439993@bugs.debian.org
Cc: control@bugs.debian.org
Subject: libapache2-mod-pubcookie: changing back from ITP to RFP
Date: Mon, 24 May 2010 19:05:58 +0000
retitle 439993 RFP: libapache2-mod-pubcookie -- apache2 module supporting Pubcookie authentication
noowner 439993
thanks

Hi,

This is an automatic email to change the status of libapache2-mod-pubcookie back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 18 months.

If you are still interested in adopting libapache2-mod-pubcookie, please send a mail to
<control@bugs.debian.org> with:

 retitle 439993 ITP: libapache2-mod-pubcookie -- apache2 module supporting Pubcookie authentication
 owner 439993 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <439993@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team




Changed Bug title to 'RFP: libapache2-mod-pubcookie -- apache2 module supporting Pubcookie authentication' from 'ITP: libapache2-mod-pubcookie -- apache2 module supporting Pubcookie authentication' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 19:22:07 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by peter woodman <peter@shortbus.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 19:22:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#439993; Package wnpp. (Sun, 07 Nov 2010 23:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to stefani patricia banerian <banerian@u.washington.edu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 07 Nov 2010 23:33:03 GMT) Full text and rfc822 format available.

Message #39 received at 439993@bugs.debian.org (full text, mbox):

From: stefani patricia banerian <banerian@u.washington.edu>
To: control@bugs.debian.org
Cc: 439993@bugs.debian.org
Subject: 439993 change the status of libapache2-mod-pubcookie back from RFP to ITP
Date: Sun, 7 Nov 2010 15:21:13 -0800 (PST)
retitle 439993 ITP: libapache2-mod-pubcookie -- apache2 module supporting 
Pubcookie authentication
owner 439993

--
Stefani Banerian
banerian@u.washington.edu




Changed Bug title to 'ITP: libapache2-mod-pubcookie -- apache2 module supporting' from 'RFP: libapache2-mod-pubcookie -- apache2 module supporting Pubcookie authentication' Request was from stefani patricia banerian <banerian@u.washington.edu> to control@bugs.debian.org. (Sun, 07 Nov 2010 23:33:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 19 Nov 2010 07:06:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#439993; Package wnpp. (Wed, 27 Jul 2011 16:27:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Jul 2011 16:27:15 GMT) Full text and rfc822 format available.

Message #48 received at 439993@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 439993@bugs.debian.org
Cc: control@bugs.debian.org
Subject: libapache2-mod-pubcookie: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:32 +0200
retitle 439993 RFP: libapache2-mod-pubcookie -- apache2 module supporting
noowner 439993
thanks

Hi,

This is an automatic email to change the status of libapache2-mod-pubcookie back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting libapache2-mod-pubcookie, please send a mail to
<control@bugs.debian.org> with:

 retitle 439993 ITP: libapache2-mod-pubcookie -- apache2 module supporting
 owner 439993 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <439993@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: libapache2-mod-pubcookie -- apache2 module supporting' from 'ITP: libapache2-mod-pubcookie -- apache2 module supporting' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:54:47 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#439993; Package wnpp. (Thu, 22 Sep 2011 02:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to micah anderson <micah@riseup.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 22 Sep 2011 02:57:03 GMT) Full text and rfc822 format available.

Message #55 received at 439993@bugs.debian.org (full text, mbox):

From: micah anderson <micah@riseup.net>
To: 439993@bugs.debian.org, control@bugs.debian.org, banerian@u.washington.edu
Subject: libapache2-mod-pubcookie: changing back RFP to ITP
Date: Wed, 21 Sep 2011 22:54:48 -0400
[Message part 1 (text/plain, inline)]
retitle 439993 ITP: libapache2-mod-pubcookie -- apache2 module supporting Pubcookie authentication 
owner 439993 banerian@u.washington.edu
thanks

The package was finished, and an upload attempted, but there were some
licensing issues that were pending resolution, namely:

. a license review of the source code, filling out debian/copyright to
account for everything

. remove the embedded copy of openssl

. if openssl is needed, is an openssl license exception required (as it
is incompatable with apache 2.0 license)?

. cgic carries a different license

. there seems to be another copy of both cgic and pubcookie in
src/contrib/index.cgi_ldap/pubcookie-uh-ldap.zip, that version of
pubcookie seems to carry a different license.  I'm not sure I understand
the requirements of this license.  Is it telling me that my webserver
has to have a "credits" page?


-- 

[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to 'ITP: libapache2-mod-pubcookie -- apache2 module supporting Pubcookie authentication' from 'RFP: libapache2-mod-pubcookie -- apache2 module supporting' Request was from micah anderson <micah@riseup.net> to control@bugs.debian.org. (Thu, 22 Sep 2011 02:57:06 GMT) Full text and rfc822 format available.

Owner recorded as banerian@u.washington.edu. Request was from micah anderson <micah@riseup.net> to control@bugs.debian.org. (Thu, 22 Sep 2011 02:57:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, banerian@u.washington.edu:
Bug#439993; Package wnpp. (Mon, 27 May 2013 13:32:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, banerian@u.washington.edu. (Mon, 27 May 2013 13:32:24 GMT) Full text and rfc822 format available.

Message #64 received at 439993@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 439993@bugs.debian.org
Cc: control@bugs.debian.org
Subject: libapache2-mod-pubcookie: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:18 +0200
retitle 439993 RFP: libapache2-mod-pubcookie -- apache2 module supporting Pubcookie authentication
noowner 439993
tag 439993 - pending
thanks

Hi,

This is an automatic email to change the status of libapache2-mod-pubcookie back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting libapache2-mod-pubcookie, please send a mail to
<control@bugs.debian.org> with:

 retitle 439993 ITP: libapache2-mod-pubcookie -- apache2 module supporting Pubcookie authentication
 owner 439993 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <439993@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: libapache2-mod-pubcookie -- apache2 module supporting Pubcookie authentication' from 'ITP: libapache2-mod-pubcookie -- apache2 module supporting Pubcookie authentication' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:03:45 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by banerian@u.washington.edu. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:03:46 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:03:46 GMT) Full text and rfc822 format available.

Reply sent to Adrian Bunk <bunk@stusta.de>:
You have taken responsibility. (Sun, 26 Jan 2014 09:45:13 GMT) Full text and rfc822 format available.

Notification sent to Peter Woodman <peter@shortbus.org>:
Bug acknowledged by developer. (Sun, 26 Jan 2014 09:45:13 GMT) Full text and rfc822 format available.

Message #75 received at 439993-done@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: 439993-done@bugs.debian.org
Subject: Closing this RFP
Date: Sun, 26 Jan 2014 11:41:50 +0200
I'm closing this RFP since the project seems to be dead upstream.

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 24 Feb 2014 07:35:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:49:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.